%define debug 0

%define qt_version 3.1.2

%define desktop_file 1
%define desktop_file_utils_version 0.2.93

%define libtool 0

Name: kdesdk
Version: 3.1.3
Release: 1.1
Summary: The KDE Software Development Kit (SDK)
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

Source: ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.bz2

Patch: kdesdk-3.1-libc.patch
Patch1: kde-libtool.patch

Prereq: /sbin/ldconfig

BuildPrereq: qt-devel >= %{qt_version}
BuildPrereq: kdelibs-devel >= %{version}

%if %{desktop_file}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
%endif

Obsoletes: cervisia
Obsoletes: %{name}-kbabel
Obsoletes: %{name}-kdesdk-gimp
Obsoletes: %{name}-kapptemplate
Obsoletes: %{name}-kbabel
Obsoletes: %{name}-kbugbuster
Obsoletes: %{name}-kmtrace
Obsoletes: %{name}-kompare
Obsoletes: %{name}-kspy

%description
A collection of applications and tools used by KDE developers.
Among other things, kdesdk provides tools for working on the KDE CVS
repository.

%package devel
Summary: Development files for kdesdk
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for kdesdk. Install kdesdk-devel if you wish
to develop or compile KDE sdk applications.

%package -n cervisia
Summary: Graphical CVS client
Group: Development/Tools
Epoch: 2
License: QPL

%description -n cervisia
Cervisia is a KDE graphical frontend for the the CVS client. It
features checking out a module from a repository, updating or
retrieving the status of a working directory or single files, common
operations like add, remove and commit, diff against the repository
and between different revisions, annotated view of a file, view of the
log messages in tree and list form as well as resolving of conflicts
in a file.

%package kbabel
Summary: Translator tools
Group: Development/Tools
Obsoletes: kbabel ktranslator

%description kbabel
Translator tools.
kbabel includes a .po file editor, a catalog manager, message extraction
tools, and po file thumbnail views for Konqueror (the KDE file manager).

%package kbugbuster
Summary: KBugBuster - debugging tools
Group: Development/Tools

%description kbugbuster
Debugging tools

%package gimp
Summary: KDE palette for GIMP
Requires: gimp >= 1.2
Group: Applications/Multimedia

%description gimp
The standard KDE palette in GIMP format. This allows you to create/edit
low-color KDE icons using the GIMP.

%package kapptemplate
Summary: Tool for creating a skeleton KDE application
Group: Development/Tools

%description kapptemplate
kapptemplate creates a skeleton KDE application (configure stuff, automake
stuff, etc.), allowing you to start writing the relevant code instead of
bothering with things that have already been done.

kapptemplate supports both standalone applications and plugins utilizing
KParts technology.

%package kmtrace
Summary: Malloc debugger for KDE
Group: Development/Tools

%description kmtrace
KMtrace is a malloc (memory allocation) debugger for KDE.

%package kompare
Summary: File comparison tool for KDE
Group: Applications/File

%description kompare
A file comparison tool for KDE

%package kspy
Summary: Qt/KDE application state examination tool
Group: Development/Tools

%description kspy
KSpy is a utility intended to help developers examine the internal
state of a Qt/KDE application. KSpy graphically displays all the
QObjects in use, and allows you to browse their properties. Using KSpy
is very simple, include kspy.h and call KSpy::invoke() when you want
to looks inside your app. The KSpy function is inline and the main
part of KSpy is dynamically loaded, so you may even want to leave this
in the release build of an application.

%prep
%setup -q
%patch -p1 -b .libc
%patch1 -p1 -b .libtool

%build
unset QTDIR && . /etc/profile.d/qt.sh
FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS -fno-use-cxa-atexit"

echo 'DO_NOT_COMPILE="kbugbuster"' > kbugbuster/configure.in.in

# Workaround for legacy auto* tools
%if %{libtool}
[ -x /usr/bin/autoconf-2.5? ] && ln -s /usr/bin/autoconf-2.5? autoconf
[ -x /usr/bin/autoheader-2.5? ] && ln -s /usr/bin/autoheader-2.5? autoheader
[ -x /usr/bin/aclocal-1.5 ] && ln -s /usr/bin/aclocal-1.5 aclocal
[ -x /usr/bin/automake-1.5 ] && ln -s /usr/bin/automake-1.5 automake
export PATH=`pwd`:$PATH
make -f admin/Makefile.common cvs
%endif

%configure \
   --with-qt-libraries=$QTDIR/lib \
   --includedir=%{_includedir}/kde

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Remove dupes from kdeartwork
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/locolor/16x16/apps/kbabel.png
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/locolor/32x32/apps/kbabel.png

# Remove dupes from kdevelop
rm -f $RPM_BUILD_ROOT%{_bindir}/extractrc

# Install stuff that doesn't get installed by make install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gimp/1.2/palettes
install -c -m 644 kdepalettes/KDE_Gimp $RPM_BUILD_ROOT%{_datadir}/gimp/1.2/palettes

# make symlinks relative
mkdir -p $RPM_BUILD_ROOT%{_docdir}/HTML/en/common
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   if [ -d $i -a -L $i/common ]; then
      rm -f $i/common
      ln -nfs ../common $i
   fi
done
popd

# workaround, rpm cannot replace a directory with a symlink
rm -f $RPM_BUILD_ROOT%{_docdir}/HTML/en/cervisia/common
mkdir $RPM_BUILD_ROOT%{_docdir}/HTML/en/cervisia/common
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en/cervisia/common
for i in %{_docdir}/HTML/en/common/* ; do
   ln -s ../../common/$(basename $i) .
done
popd

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install \
   --vendor kde \
   --delete-original \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   --add-category "Application;Development;X-Red-Hat-Extra" \
   $RPM_BUILD_ROOT%{_datadir}/applnk/Development/*.desktop

rm -rfv $RPM_BUILD_ROOT%{_datadir}/applnk/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_libdir}/kde3/*
%{_libdir}/*.so*
%{_libdir}/*.la
%{_datadir}/apps/*
%{_datadir}/mimelnk/application/*
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/gimp/1.2/palettes/KDE_Gimp

%if %{desktop_file}
%{_datadir}/applications/*
%else
%{_datadir}/applnk/Development/*
%endif

%files devel
%defattr(-,root,root)
%{_includedir}/kde/*
%{_mandir}/man1/*

%changelog
* Thu Aug 28 2003 Than Ngo <than@redhat.com> 2:3.1.3-1.1
- rebuilt

* Tue Aug 12 2003 Than Ngo <than@redhat.com> 2:3.1.3-1
- 3.1.3

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 3.1.2-5
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri May 23 2003 Than Ngo <than@redhat.com> 3.1.2-3
- don't build kbugbuster, which is not used anymore.

* Thu May 15 2003 Than Ngo <than@redhat.com> 3.1.2-2
- respin

* Wed May 14 2003 Than Ngo <than@redhat.com> 3.1.2-1
- 3.1.2

* Thu Mar 20 2003 Than Ngo <than@redhat.com> 3.1.1-1
- 3.1.1

* Mon Feb 24 2003 Elliot Lee <sopwith@redhat.com>
- debuginfo rebuild

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 3.1-2
- get rid of gcc path from dependency_libs

* Tue Jan 28 2003 Than Ngo <than@redhat.com> 3.1-1
- 3.1 release

* Thu Jan 23 2003 Tim Powers <timp@redhat.com> 3.1-0.7
- rebuild

* Wed Jan 15 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.6
- fix for ktrace (libc)

* Tue Jan 14 2003 Thomas Woerner <twoerner@redhat.com> 3.1-0.5
- rc6
- removed size_t check

* Sat Dec 21 2002 Than Ngo <than@redhat.com> 3.1-0.4
- add Icons

* Fri Dec 13 2002 Than Ngo <than@redhat.com> 3.1-0.3
- fix package conflicts

* Sat Nov 30 2002 Than Ngo <than@redhat.com> 3.1-0.2
- desktop issues
- get rid of sub packages
- add new kdesdk-devel

* Fri Nov 29 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4

* Tue Nov 19 2002 Than Ngo <than@redhat.com> 3.0.5-1.1
- fix group issue (bug #78119)
- remove Obsoletes kdesdk (bug #78138, #78139, #78140, #78141, #78142, #78143)

* Sun Nov 10 2002 Than Ngo <than@redhat.com> 3.0.5-1
- update to 3.0.5
- add missing scripts, manpages and icons
- remove a unneeded patch file

* Tue Oct 15 2002 Than Ngo <than@redhat.com> 3.0.4-1
- 3.0.4
- Added missing documentations (bug #74550)

* Mon Aug 19 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.3-1
- 3.0.3

* Tue Apr 16 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-5
- Rename libraries

* Tue Apr  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-4
- Fix bug #62259

* Sun Mar 31 2002 Than Ngo <than@redhat.com> 3.0.0-3
- fix bug #62388

* Wed Mar 27 2002 Than Ngo <than@redhat.com> 3.0.0-2
- final

* Tue Mar 26 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020326.1
- update

* Sun Mar 24 2002 Than Ngo <than@redhat.com> 3.0.0-0.cvs20020324.1
- update
- fix bug #61671, #61670, #61656
- add more buildrequires

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan  2 2002 Bernhard Rosenkraenzer <bero@redhat.com> 3.0.0-0.cvs20020102.1
- Update
- Split in subpackages

* Mon Aug  6 2001 Than Ngo <than@redhat.com> 2.2-1
- update to 2.2 release

* Sat Aug  04 2001 Than Ngo <than@redhat.com> 2.2-0.cvs20010804.1
- update
- fix bug #50665

* Tue Jul 24 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010724.1
- Remove extractrc (it's in kdevelop)
- remove ia64 workarounds

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.1
- update

* Wed Feb 21 2001 Than Ngo <than@redhat.com>
- 2.1-respin
- fix dangling symlink

* Tue Feb 20 2001 Than Ngo <than@redhat.com>
- update to 2.1

* Fri Feb 16 2001 Than Ngo <than@redhat.com>
- fix to build against glibc
- obsolete ktranslator kless (from powertools)
- clean up specfile
- add missing %post and %postun (ldconfig)

* Tue Feb  6 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- Rebuild to get rid of libkdefakes.so.0 requirement
- Obsolete kbabel (from Powertools)

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
